For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
        • GETGet all webhooks
        • POSTCreate a webhook
        • GETGet a webhook by ID
        • PUTUpdate a webhook
        • DELDelete a webhook
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Configuration APIswebhooks-configuration

Get a webhook by ID

GET
/v1/webhooks/:webhook_id
GET
/v1/webhooks/:webhook_id
$curl https://api.propexo.com/v1/webhooks/webhook_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
13 "created_at": "2024-05-10T09:15:00Z",
14 "updated_at": "2024-06-01T12:00:00Z",
15 "url": "https://webhooks.example.com/receive",
16 "active": true,
17 "secret": "s3cr3tK3yForSigning",
18 "system": "PRODUCTION",
19 "headers": [
20 {
21 "header": "Content-Type",
22 "value": "application/json"
23 },
24 {
25 "header": "Authorization",
26 "value": "Bearer abcdef123456"
27 }
28 ],
29 "triggers": [
30 {
31 "id": "trigger-001",
32 "trigger": "order.created",
33 "model": "order"
34 },
35 {
36 "id": "trigger-002",
37 "trigger": "customer.updated",
38 "model": "customer"
39 }
40 ]
41 }
42}
Get a webhook by ID
Was this page helpful?
Previous

Update a webhook

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

webhook_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error